# Aspect_HatchStyle.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | Aspect_HatchStyle { Aspect_HS_HORIZONTAL, Aspect_HS_HORIZONTAL_WIDE, Aspect_HS_VERTICAL, Aspect_HS_VERTICAL_WIDE, Aspect_HS_DIAGONAL_45, Aspect_HS_DIAGONAL_45_WIDE, Aspect_HS_DIAGONAL_135, Aspect_HS_DIAGONAL_135_WIDE, Aspect_HS_GRID, Aspect_HS_GRID_WIDE, Aspect_HS_GRID_DIAGONAL, Aspect_HS_GRID_DIAGONAL_WIDE }
| Defines a color scale for viewer. . More...

## Enumeration Type Documentation

enum Aspect_HatchStyle

Enumeration values:

  Aspect_HS_HORIZONTAL |
  Aspect_HS_HORIZONTAL_WIDE |
  Aspect_HS_VERTICAL |
  Aspect_HS_VERTICAL_WIDE |
  Aspect_HS_DIAGONAL_45 |
  Aspect_HS_DIAGONAL_45_WIDE |
  Aspect_HS_DIAGONAL_135 |
  Aspect_HS_DIAGONAL_135_WIDE |
  Aspect_HS_GRID |
  Aspect_HS_GRID_WIDE |
  Aspect_HS_GRID_DIAGONAL |
  Aspect_HS_GRID_DIAGONAL_WIDE |